openapi: 3.1.0
info:
  version: 1.0.0
  title: Lumx API
  description: A cross-border banking API with instant settlements and unmatched liquidity, powered by stablecoins.
servers:
  - url: https://api-sandbox.lumx.io
paths:
  /customers:
    get:
      tags:
        - Customers
      summary: Read all customers
      description: This endpoint reads all customers.
      parameters:
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
          description: Number of customers to return per page.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Cursor for pagination. Use the nextCursor or previousCursor from the previous response to get the next or previous page.
      responses:
        "200":
          description: Resources successfully retrieved.
          content:
            application/json:
              examples:
                Business:
                  $ref: "#/components/examples/CustomerBusinessArrayExample"
              schema:
                type: object
                properties:
                  data:
                    description: An array containing all customers.
                    type: array
                    items:
                      $ref: "#/components/schemas/CustomerArrayResponse"
                  pagination:
                    type: object
                    description: Pagination metadata for the response.
                    properties:
                      size:
                        type: integer
                        description: Number of items per page.
                        example: 25
                      total:
                        type: integer
                        description: Total number of items available.
                        example: 1
                      hasNextPage:
                        type: boolean
                        description: Whether more items are available after this page.
                        example: false
                      hasPreviousPage:
                        type: boolean
                        description: Whether items are available before this page.
                        example: false
                      nextCursor:
                        type: string
                        format: uuid
                        nullable: true
                        description: Cursor to fetch the next page. `null` when `hasNextPage` is false.
                        example: null
                      previousCursor:
                        type: string
                        format: uuid
                        nullable: true
                        description: Cursor to fetch the previous page. `null` when `hasPreviousPage` is false.
                        example: null
      security:
        - apiKey: []
    post:
      tags:
        - Customers
      summary: Create a customer
      description: This endpoint creates a customer.
      parameters:
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          application/json:
            examples:
              Business:
                $ref: "#/components/examples/CustomerRequestBusinessExample"
              Individual:
                $ref: "#/components/examples/CustomerRequestIndividualExample"
            schema:
              $ref: "#/components/schemas/CustomerRequest"
      responses:
        "201":
          description: Resource successfully created.
          content:
            application/json:
              examples:
                Business:
                  $ref: "#/components/examples/CustomerCreateBusinessExample"
                Individual:
                  $ref: "#/components/examples/CustomerCreateIndividualExample"
              schema:
                $ref: "#/components/schemas/CustomerCreateResponse"
      security:
        - apiKey: []
  "/customers/{id}":
    get:
      tags:
        - Customers
      summary: Read a customer
      description: This endpoint reads a customer.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
        - name: includeBalances
          in: query
          required: false
          schema:
            type: boolean
          description: Whether to include balances in the response body.
        - name: includeTransactionLimits
          in: query
          required: false
          schema:
            type: boolean
          description: Whether to include transaction limits in the response body. Limits are returned per transaction type (`onramp`, `offramp` and `transfer`).
      responses:
        "200":
          description: Resource successfully retrieved.
          content:
            application/json:
              examples:
                Business:
                  $ref: "#/components/examples/CustomerBusinessExample"
                Individual:
                  $ref: "#/components/examples/CustomerIndividualExample"
              schema:
                $ref: "#/components/schemas/CustomerResponse"
      security:
        - apiKey: []
  "/customers/{id}/tos":
    post:
      tags:
        - Customers
      summary: Create TOS acceptance link
      description: This endpoint generates a terms of service acceptance URL for a customer.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                redirectUrl:
                  type: string
                  format: uri
                  description: URL to redirect the customer to after they accept the terms of service.
            example:
              redirectUrl: "https://yourapp.com/onboarding/next-step"
      responses:
        "200":
          description: Terms of service URL successfully generated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
                    description: The acceptance link for the customer to accept the terms of service.
                  expiresAt:
                    type: string
                    format: date-time
                    description: Expiration date and time of the acceptance link. The link expires after 24 hours.
              example:
                url: "https://dashboard.lumx.io/tos/eyJhbGciOiJSUzI1..."
                expiresAt: "2026-04-09T16:00:00Z"
      security:
        - apiKey: []
  "/customers/{id}/additional-information":
    patch:
      tags:
        - Customers
      summary: Send additional information
      description: >-
        This endpoint updates a customer with additional information required for KYC/KYB verification.
        Customers created on or after October 28, 2026 answer the current questionnaire. Customers created
        before October 28, 2026 keep answering the previous questionnaire, whose body is unchanged.
        Sending the body that does not match the customer's questionnaire returns `400` with code `VALIDATION_ERROR`.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          application/json:
            examples:
              Business:
                $ref: "#/components/examples/CustomerUpdateBusinessExample"
              Individual:
                $ref: "#/components/examples/CustomerUpdateIndividualExample"
              BusinessPrevious:
                $ref: "#/components/examples/CustomerUpdateBusinessPreviousExample"
              IndividualPrevious:
                $ref: "#/components/examples/CustomerUpdateIndividualPreviousExample"
            schema:
              $ref: "#/components/schemas/CustomerUpdateRequest"
      responses:
        "200":
          description: Resource successfully updated.
          content:
            application/json:
              examples:
                Business:
                  $ref: "#/components/examples/CustomerBusinessExample"
                Individual:
                  $ref: "#/components/examples/CustomerIndividualExample"
              schema:
                $ref: "#/components/schemas/CustomerResponse"
      security:
        - apiKey: []
  "/customers/{id}/verifications/{verificationId}":
    get:
      tags:
        - Customers
      summary: Read a verification
      description: This endpoint reads a customer's verification process.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
        - name: verificationId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Verification's unique identifier.
      responses:
        "200":
          description: Resource successfully retrieved.
          content:
            application/json:
              examples:
                Business:
                  $ref: "#/components/examples/CustomerVerificationBusinessResponse"
              schema:
                $ref: "#/components/schemas/CustomerVerificationResponse"
      security:
        - apiKey: []
  "/customers/{id}/verifications":
    post:
      tags:
        - Customers
      summary: Start a verification
      description: This endpoint starts a customer's verification process. For BUSINESS customers, ensure all documents and associated parties are uploaded before starting verification. For INDIVIDUAL customers, verification starts automatically after liveness check.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                associatedPartyIds:
                  type: array
                  description: Optional list of associated party IDs to retry verification for, in isolation. When provided, only these associated parties are sent for verification again; the customer's overall verification is not restarted. Applies only to BUSINESS customers.
                  items:
                    type: string
                    format: uuid
                    example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
      responses:
        "201":
          description: Verification successfully started.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    description: Verification's unique identifier.
      security:
        - apiKey: []
  "/customers/{id}/documents":
    post:
      tags:
        - Customers
      summary: Upload a document
      description: This endpoint uploads a document for a customer's verification, or a supporting document for a limit-increase request. For the latter, use the returned documentId as supportingDocumentId when creating the limit request.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: "#/components/schemas/CustomerDocumentUploadRequest"
      responses:
        "200":
          description: Document successfully uploaded.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CustomerDocumentUploadResponse"
      security:
        - apiKey: []
  "/customers/{id}/limit-requests":
    get:
      tags:
        - Customers
      summary: Read all limit requests
      description: This endpoint reads all limit-increase requests for a customer.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
        - name: cursor
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
          description: Page number to fetch. Use the nextCursor from the previous response.
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 20
          description: Number of limit requests to return per page.
      responses:
        "200":
          description: Resources successfully retrieved.
          content:
            application/json:
              examples:
                InReview:
                  $ref: "#/components/examples/LimitRequestArrayExample"
                Approved:
                  $ref: "#/components/examples/LimitRequestArrayApprovedExample"
                PartiallyApproved:
                  $ref: "#/components/examples/LimitRequestArrayPartiallyApprovedExample"
                Rejected:
                  $ref: "#/components/examples/LimitRequestArrayRejectedExample"
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: An array containing the customer's limit requests.
                    items:
                      $ref: "#/components/schemas/LimitRequestResponse"
                  pagination:
                    type: object
                    description: Pagination metadata for the response.
                    properties:
                      size:
                        type: integer
                        description: Number of items per page.
                        example: 20
                      total:
                        type: integer
                        description: Total number of items available.
                        example: 1
                      hasNextPage:
                        type: boolean
                        description: Whether more items are available after this page.
                        example: false
                      nextCursor:
                        type: integer
                        nullable: true
                        description: Page to fetch next. Absent when `hasNextPage` is false.
                        example: null
      security:
        - apiKey: []
    post:
      tags:
        - Customers
      summary: Request a limit increase
      description: >-
        This endpoint creates a limit-increase request for a customer. Upload the supporting document first with
        POST /customers/{id}/documents and pass the returned documentId as supportingDocumentId.
        Each request raises the limits of one transaction type (`type`), and approval changes only that type's limits.
        A customer can have one pending request per type; creating a second pending request for the same type
        returns `409` with code `LIMIT_REQUEST_ALREADY_PENDING`.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          application/json:
            examples:
              Default:
                $ref: "#/components/examples/LimitRequestCreateExample"
            schema:
              $ref: "#/components/schemas/LimitRequestCreateRequest"
      responses:
        "201":
          description: Resource successfully created.
          content:
            application/json:
              examples:
                Default:
                  $ref: "#/components/examples/LimitRequestResponseExample"
              schema:
                $ref: "#/components/schemas/LimitRequestResponse"
      security:
        - apiKey: []
  "/customers/{id}/limit-requests/{limitRequestId}":
    get:
      tags:
        - Customers
      summary: Read a limit request
      description: This endpoint reads a single limit-increase request for a customer.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
        - name: limitRequestId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Limit request's unique identifier.
      responses:
        "200":
          description: Resource successfully retrieved.
          content:
            application/json:
              examples:
                InReview:
                  $ref: "#/components/examples/LimitRequestResponseExample"
                Approved:
                  $ref: "#/components/examples/LimitRequestApprovedExample"
                PartiallyApproved:
                  $ref: "#/components/examples/LimitRequestPartiallyApprovedExample"
                Rejected:
                  $ref: "#/components/examples/LimitRequestRejectedExample"
              schema:
                $ref: "#/components/schemas/LimitRequestResponse"
      security:
        - apiKey: []
  "/customers/{id}/associated-parties":
    get:
      tags:
        - Customers
      summary: Read all associated parties
      description: This endpoint reads all associated parties of a business customer.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
      responses:
        "200":
          description: Associated parties successfully retrieved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: "#/components/schemas/AssociatedPartyResponse"
      security:
        - apiKey: []
    post:
      tags:
        - Customers
      summary: Create an associated party
      description: >-
        This endpoint creates an associated party (UBO, shareholder, or representative) for a business customer.
        Individual associated parties of customers created on or after October 28, 2026 require `monthlyIncomeInUSD`.
        Business associated parties, and associated parties of customers created before October 28, 2026, keep the
        previous body, where `monthlyIncomeInUSD` is not accepted and returns `400`.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          application/json:
            examples:
              UBO:
                $ref: "#/components/examples/AssociatedPartyUBOExample"
              ShareholderIndividual:
                $ref: "#/components/examples/AssociatedPartyShareholderIndividualExample"
              ShareholderBusiness:
                $ref: "#/components/examples/AssociatedPartyShareholderBusinessExample"
              Representative:
                $ref: "#/components/examples/AssociatedPartyRepresentativeExample"
            schema:
              $ref: "#/components/schemas/AssociatedPartyRequest"
      responses:
        "201":
          description: Associated party successfully created.
          content:
            application/json:
              examples:
                UBO:
                  $ref: "#/components/examples/AssociatedPartyUBOResponseExample"
              schema:
                $ref: "#/components/schemas/AssociatedPartyResponse"
      security:
        - apiKey: []
  "/customers/{id}/associated-parties/{associatedPartyId}":
    get:
      tags:
        - Customers
      summary: Read an associated party
      description: This endpoint reads an associated party of a business customer.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
        - name: associatedPartyId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Associated party's unique identifier.
      responses:
        "200":
          description: Associated party successfully retrieved.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/AssociatedPartyResponse"
      security:
        - apiKey: []
  /accounts:
    get:
      tags:
        - Accounts
      summary: Read all accounts
      description: This endpoint reads all accounts.
      parameters:
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
          description: Number of accounts to return per page.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Cursor for pagination. Use the nextCursor or previousCursor from the previous response to get the next or previous page.
        - name: customerId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Filter accounts by customer's unique identifier.
          example: "768d6aac-627e-44e8-aabd-d51d10f59c02"
      responses:
        "200":
          description: Accounts successfully retrieved.
          content:
            application/json:
              examples:
                Accounts:
                  $ref: "#/components/examples/AccountArrayExample"
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: An array containing all accounts.
                    items:
                      $ref: "#/components/schemas/AccountArrayResponse"
                  pagination:
                    type: object
                    description: Pagination metadata for the response.
                    properties:
                      size:
                        type: integer
                        description: Number of items per page.
                        example: 25
                      total:
                        type: integer
                        description: Total number of items available.
                        example: 3
                      hasNextPage:
                        type: boolean
                        description: Whether more items are available after this page.
                        example: false
                      hasPreviousPage:
                        type: boolean
                        description: Whether items are available before this page.
                        example: false
                      nextCursor:
                        type: string
                        format: uuid
                        nullable: true
                        description: Cursor to fetch the next page. `null` when `hasNextPage` is false.
                        example: null
                      previousCursor:
                        type: string
                        format: uuid
                        nullable: true
                        description: Cursor to fetch the previous page. `null` when `hasPreviousPage` is false.
                        example: null
      security:
        - apiKey: []
  /destinations:
    get:
      tags:
        - Destinations
      summary: Read all destinations
      description: This endpoint reads all destinations.
      parameters:
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
          description: Number of destinations to return per page.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Cursor for pagination. Use the nextCursor or previousCursor from the previous response to get the next or previous page.
        - name: customerId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Filter destinations by customer's unique identifier.
          example: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      responses:
        "200":
          description: Destinations successfully retrieved.
          content:
            application/json:
              examples:
                Destination:
                  value:
                    data:
                      - id: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
                        customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                        name: "Lumx Brazil Operations Account"
                        type: "EXTERNAL"
                        rail: "PIX"
                        currency: "BRL"
                        identifier:
                          keyType: "CNPJ"
                          keyValue: "42.887.120/0001-00"
                        holder:
                          type: "BUSINESS"
                          relationship: "SELF"
                          legalName: "Lumx S.A"
                          taxId: "42.887.120/0001-00"
                          incorporationDate: "2020-01-01"
                          email: "hello@lumx.io"
                          address:
                            line1: "Rua Voluntarios da Patria 89"
                            city: "Rio de Janeiro"
                            state: "RJ"
                            postalCode: "22270-000"
                            country: "BRA"
                          verification:
                            status: "APPROVED"
                            level: "BASIC"
                        createdAt: "2025-10-16T12:30:00.000Z"
                        updatedAt: "2025-10-16T12:30:00.000Z"
                    pagination:
                      size: 25
                      total: 1
                      hasNextPage: false
                      hasPreviousPage: false
                      nextCursor: null
                      previousCursor: null
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: An array containing all destinations.
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: Destination's unique identifier.
                          example: "e80d3137-eddd-4791-b9b8-6e36b289f284"
                        customerId:
                          type: string
                          format: uuid
                          description: Customer's unique identifier.
                          example: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                        name:
                          type: string
                          description: Destination's display name.
                        type:
                          type: string
                          description: Destination's type.
                          enum: ["EXTERNAL"]
                        rail:
                          type: string
                          description: Destination's payment rail.
                          enum:
                            ["PIX", "SWIFT", "SEPA", "ACH", "FEDWIRE", "SPEI", "FPS"]
                        currency:
                          type: string
                          description: Destination's currency.
                        identifier:
                          type: object
                          description: Destination's identifier.
                        bank:
                          type: object
                          description: Bank information.
                        holder:
                          type: object
                          description: Destination's holder.
                          properties:
                            type:
                              type: string
                              enum: [BUSINESS, INDIVIDUAL]
                              description: Holder's type.
                            relationship:
                              type: string
                              enum:
                                [
                                  "SELF",
                                  "HOLDING_COMPANY",
                                  "SUBSIDIARY_COMPANY",
                                  "BRANCH_OFFICE",
                                  "BUSINESS_PARTNER",
                                  "SUPPLIER",
                                  "CUSTOMER",
                                  "CREDITOR",
                                  "DEBTOR",
                                  "FRANCHISEE",
                                  "FRIEND",
                                  "RELATIVE",
                                  "EMPLOYEE",
                                ]
                              description: Holder's relationship to customer.
                            legalName:
                              type: string
                              description: Holder's legal name. Required for business holders.
                            name:
                              type: string
                              description: Holder's full name. Required for individual holders.
                            taxId:
                              type: string
                              description: Holder's tax ID.
                            incorporationDate:
                              type: string
                              format: date
                              description: Holder's incorporation date.
                            birthDate:
                              type: string
                              format: date
                              description: Holder's birth date.
                            email:
                              type: string
                              format: email
                              description: Holder's email address.
                            address:
                              $ref: "#/components/schemas/DestinationAddress"
                            verification:
                              type: object
                              description: Holder verification information.
                              properties:
                                status:
                                  type: string
                                  description: Verification status.
                                level:
                                  type: string
                                  description: Verification level.
                        intermediary:
                          type: object
                          description: Intermediary bank information.
                        createdAt:
                          type: string
                          format: date-time
                          description: Creation date and time (UTC).
                        updatedAt:
                          type: string
                          format: date-time
                          description: Last update date and time (UTC).
                  pagination:
                    type: object
                    description: Pagination metadata for the response.
                    properties:
                      size:
                        type: integer
                        description: Number of items per page.
                        example: 25
                      total:
                        type: integer
                        description: Total number of items available.
                        example: 1
                      hasNextPage:
                        type: boolean
                        description: Whether more items are available after this page.
                        example: false
                      hasPreviousPage:
                        type: boolean
                        description: Whether items are available before this page.
                        example: false
                      nextCursor:
                        type: string
                        format: uuid
                        nullable: true
                        description: Cursor to fetch the next page. `null` when `hasNextPage` is false.
                        example: null
                      previousCursor:
                        type: string
                        format: uuid
                        nullable: true
                        description: Cursor to fetch the previous page. `null` when `hasPreviousPage` is false.
                        example: null
      security:
        - apiKey: []
    post:
      tags:
        - Destinations
      summary: Create a destination
      description: This endpoint creates a destination.
      parameters:
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          application/json:
            examples:
              PIX:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  name: "Lumx Brazil Operations Account"
                  rail: "PIX"
                  currency: "BRL"
                  identifier:
                    keyType: "CNPJ"
                    keyValue: "42.887.120/0001-00"
                  holder:
                    type: "BUSINESS"
                    relationship: "SELF"
                    legalName: "Lumx S.A"
                    taxId: "42.887.120/0001-00"
                    incorporationDate: "2020-01-01"
                    email: "hello@lumx.io"
                    address:
                      line1: "Rua Voluntarios da Patria 89"
                      city: "Rio de Janeiro"
                      state: "RJ"
                      postalCode: "22270-000"
                      country: "BRA"
              SWIFT:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  name: "Lumx Cayman Holdings Account"
                  rail: "SWIFT"
                  currency: "USD"
                  identifier:
                    iban: "KY12BUTT00001234567890123456"
                    bic: "BUTTKYKY"
                  bank:
                    name: "Butterfield Bank (Cayman) Limited"
                    address:
                      line1: "65 Market Street"
                      city: "George Town"
                      state: "Grand Cayman"
                      postalCode: "KY1-1107"
                      country: "CYM"
                  holder:
                    type: "BUSINESS"
                    relationship: "HOLDING_COMPANY"
                    legalName: "Lumx Cayman Ltd."
                    taxId: "123456-7"
                    incorporationDate: "2019-01-15"
                    email: "holding@lumx.ky"
                    address:
                      line1: "Grand Pavilion, Hibiscus Way"
                      city: "George Town"
                      state: "Grand Cayman"
                      postalCode: "KY1-1205"
                      country: "CYM"
                  intermediary:
                    name: "JP Morgan Chase Bank N.A."
                    currency: "USD"
                    bic: "CHASUS33"
              SEPA:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  name: "Lumx France Subsidiary Account"
                  rail: "SEPA"
                  currency: "EUR"
                  identifier:
                    iban: "FR1420041010050500013M02606"
                    bic: "BNPAFRPP"
                  bank:
                    name: "BNP Paribas"
                    address:
                      country: "FRA"
                  holder:
                    type: "BUSINESS"
                    relationship: "SUBSIDIARY_COMPANY"
                    legalName: "Lumx SAS"
                    taxId: "98765432100015"
                    incorporationDate: "2021-06-10"
                    email: "france@lumx.eu"
                    address:
                      country: "FRA"
              ACH:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  name: "Lumx US Operations Account"
                  rail: "ACH"
                  currency: "USD"
                  identifier:
                    type: "CHECKING"
                    accountNumber: "123456789012"
                    routingNumber: "021000021"
                  bank:
                    name: "JPMorgan Chase Bank"
                    address:
                      line1: "383 Madison Avenue"
                      city: "New York"
                      state: "NY"
                      postalCode: "10179"
                      country: "USA"
                  holder:
                    type: "BUSINESS"
                    relationship: "SUBSIDIARY_COMPANY"
                    legalName: "Lumx US Inc."
                    taxId: "12-3456789"
                    incorporationDate: "2020-03-15"
                    email: "us@lumx.io"
                    address:
                      line1: "100 Wall Street"
                      city: "New York"
                      state: "NY"
                      postalCode: "10005"
                      country: "USA"
              FEDWIRE:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  name: "Lumx US Wire Account"
                  rail: "FEDWIRE"
                  currency: "USD"
                  identifier:
                    type: "CHECKING"
                    accountNumber: "123456789012"
                    routingNumber: "021000021"
                  bank:
                    name: "JPMorgan Chase Bank"
                    address:
                      line1: "383 Madison Avenue"
                      city: "New York"
                      state: "NY"
                      postalCode: "10179"
                      country: "USA"
                  holder:
                    type: "BUSINESS"
                    relationship: "SUBSIDIARY_COMPANY"
                    legalName: "Lumx US Inc."
                    taxId: "12-3456789"
                    incorporationDate: "2020-03-15"
                    email: "us@lumx.io"
                    address:
                      line1: "100 Wall Street"
                      city: "New York"
                      state: "NY"
                      postalCode: "10005"
                      country: "USA"
              SPEI:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  name: "Lumx Mexico Operations Account"
                  rail: "SPEI"
                  currency: "MXN"
                  identifier:
                    keyType: "CLABE"
                    keyValue: "012180001234567897"
                  holder:
                    type: "BUSINESS"
                    relationship: "SELF"
                    legalName: "Lumx S.A"
                    taxId: "42.887.120/0001-00"
                    incorporationDate: "2020-01-01"
                    email: "hello@lumx.io"
                    address:
                      line1: "Calzada de Tlalpan 3465, Colonia Santa Úrsula Coapa"
                      city: "Mexico City"
                      state: "CDMX"
                      postalCode: "04650"
                      country: "MEX"
              FPS:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  name: "Lumx UK Operations Account"
                  rail: "FPS"
                  currency: "GBP"
                  identifier:
                    sortCode: "040509"
                    accountNumber: "00125977"
                  bank:
                    name: "Mock Bank"
                    address:
                      country: "GBR"
                  holder:
                    type: "BUSINESS"
                    relationship: "SELF"
                    legalName: "Lumx UK Ltd"
                    taxId: "12345678"
                    incorporationDate: "2020-01-01"
                    email: "hello@lumx.io"
                    address:
                      country: "GBR"
            schema:
              oneOf:
                - type: object
                  title: PIX
                  allOf:
                    - $ref: "#/components/schemas/DestinationPixRequest"
                - type: object
                  title: SWIFT
                  allOf:
                    - $ref: "#/components/schemas/DestinationSwiftRequest"
                - type: object
                  title: SEPA
                  allOf:
                    - $ref: "#/components/schemas/DestinationSepaRequest"
                - type: object
                  title: ACH
                  allOf:
                    - $ref: "#/components/schemas/DestinationAchRequest"
                - type: object
                  title: FEDWIRE
                  allOf:
                    - $ref: "#/components/schemas/DestinationFedwireRequest"
                - type: object
                  title: SPEI
                  allOf:
                    - $ref: "#/components/schemas/DestinationSpeiRequest"
                - type: object
                  title: FPS
                  allOf:
                    - $ref: "#/components/schemas/DestinationFpsRequest"
      responses:
        "201":
          description: Destination successfully created.
          content:
            application/json:
              examples:
                PIX:
                  value:
                    id: "a72f5359-ffef-6913-d1da-8g58d491g406"
                    customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                    name: "Lumx Brazil Operations Account"
                    type: "EXTERNAL"
                    rail: "PIX"
                    currency: "BRL"
                    identifier:
                      keyType: "CNPJ"
                      keyValue: "42.887.120/0001-00"
                    holder:
                      type: "BUSINESS"
                      relationship: "SELF"
                      legalName: "Lumx S.A"
                      taxId: "42.887.120/0001-00"
                      incorporationDate: "2020-01-01"
                      email: "hello@lumx.io"
                      address:
                        line1: "Rua Voluntarios da Patria 89"
                        city: "Rio de Janeiro"
                        state: "RJ"
                        postalCode: "22270-000"
                        country: "BRA"
                      verification:
                        status: "UNDER_VERIFICATION"
                        level: "BASIC"
                    createdAt: "2025-10-16T15:30:22.456Z"
                    updatedAt: "2025-10-16T15:30:22.456Z"
                SWIFT:
                  value:
                    id: "e80d3137-eddd-4791-b9b8-6e36b289f284"
                    customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                    name: "Lumx Cayman Holdings Account"
                    type: "EXTERNAL"
                    rail: "SWIFT"
                    currency: "USD"
                    identifier:
                      iban: "KY12BUTT00001234567890123456"
                      bic: "BUTTKYKY"
                    bank:
                      name: "Butterfield Bank (Cayman) Limited"
                      address:
                        line1: "65 Market Street"
                        city: "George Town"
                        state: "Grand Cayman"
                        postalCode: "KY1-1107"
                        country: "CYM"
                    holder:
                      type: "BUSINESS"
                      relationship: "HOLDING_COMPANY"
                      legalName: "Lumx Cayman Ltd."
                      taxId: "123456-7"
                      incorporationDate: "2019-01-15"
                      email: "holding@lumx.ky"
                      address:
                        line1: "Grand Pavilion, Hibiscus Way"
                        city: "George Town"
                        state: "Grand Cayman"
                        postalCode: "KY1-1205"
                        country: "CYM"
                      verification:
                        status: "UNDER_VERIFICATION"
                        level: "BASIC"
                    intermediary:
                      name: "JP Morgan Chase Bank N.A."
                      currency: "USD"
                      bic: "CHASUS33"
                    createdAt: "2025-10-16T13:45:10.243Z"
                    updatedAt: "2025-10-16T13:45:10.243Z"
                SEPA:
                  value:
                    id: "f91e4248-feed-5802-c0c9-7f47c390f395"
                    customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                    name: "Lumx France Subsidiary Account"
                    type: "EXTERNAL"
                    rail: "SEPA"
                    currency: "EUR"
                    identifier:
                      iban: "FR1420041010050500013M02606"
                      bic: "BNPAFRPP"
                    bank:
                      name: "BNP Paribas"
                      address:
                        line1: "16 Boulevard des Italiens"
                        city: "Paris"
                        state: "IDF"
                        postalCode: "75009"
                        country: "FRA"
                    holder:
                      type: "BUSINESS"
                      relationship: "SUBSIDIARY_COMPANY"
                      legalName: "Lumx SAS"
                      taxId: "98765432100015"
                      incorporationDate: "2021-06-10"
                      email: "france@lumx.eu"
                      address:
                        line1: "45 Avenue Montaigne"
                        city: "Paris"
                        state: "IDF"
                        postalCode: "75008"
                        country: "FRA"
                      verification:
                        status: "UNDER_VERIFICATION"
                        level: "BASIC"
                    createdAt: "2025-10-16T14:20:35.187Z"
                    updatedAt: "2025-10-16T14:20:35.187Z"
                ACH:
                  value:
                    id: "b82e4359-feed-6913-d1da-9h69e502h517"
                    customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                    name: "Lumx US Operations Account"
                    type: "EXTERNAL"
                    rail: "ACH"
                    currency: "USD"
                    identifier:
                      type: "CHECKING"
                      accountNumber: "123456789012"
                      routingNumber: "021000021"
                    bank:
                      name: "JPMorgan Chase Bank"
                      address:
                        line1: "383 Madison Avenue"
                        city: "New York"
                        state: "NY"
                        postalCode: "10179"
                        country: "USA"
                    holder:
                      type: "BUSINESS"
                      relationship: "SUBSIDIARY_COMPANY"
                      legalName: "Lumx US Inc."
                      taxId: "12-3456789"
                      incorporationDate: "2020-03-15"
                      email: "us@lumx.io"
                      address:
                        line1: "100 Wall Street"
                        city: "New York"
                        state: "NY"
                        postalCode: "10005"
                        country: "USA"
                      verification:
                        status: "UNDER_VERIFICATION"
                        level: "BASIC"
                    createdAt: "2025-10-16T16:30:45.123Z"
                    updatedAt: "2025-10-16T16:30:45.123Z"
                FEDWIRE:
                  value:
                    id: "c93f5460-gffe-7024-e2eb-0i70f613i628"
                    customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                    name: "Lumx US Wire Account"
                    type: "EXTERNAL"
                    rail: "FEDWIRE"
                    currency: "USD"
                    identifier:
                      type: "CHECKING"
                      accountNumber: "123456789012"
                      routingNumber: "021000021"
                    bank:
                      name: "JPMorgan Chase Bank"
                      address:
                        line1: "383 Madison Avenue"
                        city: "New York"
                        state: "NY"
                        postalCode: "10179"
                        country: "USA"
                    holder:
                      type: "BUSINESS"
                      relationship: "SUBSIDIARY_COMPANY"
                      legalName: "Lumx US Inc."
                      taxId: "12-3456789"
                      incorporationDate: "2020-03-15"
                      email: "us@lumx.io"
                      address:
                        line1: "100 Wall Street"
                        city: "New York"
                        state: "NY"
                        postalCode: "10005"
                        country: "USA"
                      verification:
                        status: "UNDER_VERIFICATION"
                        level: "BASIC"
                    createdAt: "2025-10-16T17:45:00.789Z"
                    updatedAt: "2025-10-16T17:45:00.789Z"
                SPEI:
                  value:
                    id: "a72f5359-ffef-6913-d1da-8g58d491g406"
                    customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                    name: "Lumx Mexico Operations Account"
                    type: "EXTERNAL"
                    rail: "SPEI"
                    currency: "MXN"
                    identifier:
                      clabe: "012180001234567897"
                    holder:
                      type: "BUSINESS"
                      relationship: "SELF"
                      legalName: "Lumx S.A"
                      taxId: "LMX123456789"
                      incorporationDate: "2020-01-01"
                      email: "hello@lumx.io"
                      address:
                        line1: "Calzada de Tlalpan 3465"
                        city: "Ciudad de México"
                        state: "CDMX"
                        postalCode: "04650"
                        country: "MEX"
                      verification:
                        status: "UNDER_VERIFICATION"
                        level: "BASIC"
                    createdAt: "2025-10-16T15:30:22.456Z"
                    updatedAt: "2025-10-16T15:30:22.456Z"
                FPS:
                  value:
                    id: "b83g6460-ggfg-7024-e2eb-9h69e502h517"
                    customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                    name: "Lumx UK Operations Account"
                    type: "EXTERNAL"
                    rail: "FPS"
                    currency: "GBP"
                    identifier:
                      sortCode: "040509"
                      accountNumber: "00125977"
                    bank:
                      name: "Mock Bank"
                      address:
                        line1: "1 Bank Street"
                        city: "London"
                        state: "LND"
                        postalCode: "EC1A 1BB"
                        country: "GBR"
                    holder:
                      type: "BUSINESS"
                      relationship: "SELF"
                      legalName: "Lumx UK Ltd"
                      taxId: "12345678"
                      incorporationDate: "2020-01-01"
                      email: "hello@lumx.io"
                      address:
                        line1: "Street A"
                        city: "London"
                        state: "LND"
                        postalCode: "SW1A 1AA"
                        country: "GBR"
                      verification:
                        status: "UNDER_VERIFICATION"
                        level: "BASIC"
                    createdAt: "2025-10-16T15:30:22.456Z"
                    updatedAt: "2025-10-16T15:30:22.456Z"
              schema:
                oneOf:
                  - type: object
                    title: PIX
                    description: Destination's rail is PIX.
                    allOf:
                      - $ref: "#/components/schemas/DestinationPixResponse"
                  - type: object
                    title: SWIFT
                    description: Destination's rail is SWIFT.
                    allOf:
                      - $ref: "#/components/schemas/DestinationSwiftResponse"
                  - type: object
                    title: SEPA
                    description: Destination's rail is SEPA.
                    allOf:
                      - $ref: "#/components/schemas/DestinationSepaResponse"
                  - type: object
                    title: ACH
                    description: Destination's rail is ACH.
                    allOf:
                      - $ref: "#/components/schemas/DestinationAchResponse"
                  - type: object
                    title: FEDWIRE
                    description: Destination's rail is FEDWIRE.
                    allOf:
                      - $ref: "#/components/schemas/DestinationFedwireResponse"
                  - type: object
                    title: SPEI
                    description: Destination's rail is SPEI.
                    allOf:
                      - $ref: "#/components/schemas/DestinationSpeiResponse"
                  - type: object
                    title: FPS
                    description: Destination's rail is FPS.
                    allOf:
                      - $ref: "#/components/schemas/DestinationFpsResponse"
      security:
        - apiKey: []
  "/destinations/{id}":
    get:
      tags:
        - Destinations
      summary: Read a destination
      description: This endpoint reads a destination.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Destination's unique identifier.
      responses:
        "200":
          description: Destination successfully retrieved.
          content:
            application/json:
              examples:
                PIX:
                  $ref: "#/components/examples/DestinationPixExample"
                SWIFT:
                  $ref: "#/components/examples/DestinationSwiftExample"
                SEPA:
                  $ref: "#/components/examples/DestinationSepaExample"
                ACH:
                  $ref: "#/components/examples/DestinationAchExample"
                FEDWIRE:
                  $ref: "#/components/examples/DestinationFedwireExample"
                SPEI:
                  $ref: "#/components/examples/DestinationSpeiExample"
                FPS:
                  $ref: "#/components/examples/DestinationFpsExample"
              schema:
                oneOf:
                  - type: object
                    title: PIX
                    description: Destination's rail is PIX.
                    allOf:
                      - $ref: "#/components/schemas/DestinationPixResponse"
                  - type: object
                    title: SWIFT
                    description: Destination's rail is SWIFT.
                    allOf:
                      - $ref: "#/components/schemas/DestinationSwiftResponse"
                  - type: object
                    title: SEPA
                    description: Destination's rail is SEPA.
                    allOf:
                      - $ref: "#/components/schemas/DestinationSepaResponse"
                  - type: object
                    title: ACH
                    description: Destination's rail is ACH.
                    allOf:
                      - $ref: "#/components/schemas/DestinationAchResponse"
                  - type: object
                    title: FEDWIRE
                    description: Destination's rail is FEDWIRE.
                    allOf:
                      - $ref: "#/components/schemas/DestinationFedwireResponse"
                  - type: object
                    title: SPEI
                    description: Destination's rail is SPEI.
                    allOf:
                      - $ref: "#/components/schemas/DestinationSpeiResponse"
                  - type: object
                    title: FPS
                    description: Destination's rail is FPS.
                    allOf:
                      - $ref: "#/components/schemas/DestinationFpsResponse"
      security:
        - apiKey: []
  /exchange-rates:
    post:
      tags:
        - Exchange Rates
      summary: Get an exchange rate
      description: This endpoint returns an exchange rate quote between two currencies.
      parameters:
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/ExchangeRateRequest"
      responses:
        "200":
          description: Resource successfully retrieved.
          content:
            application/json:
              examples:
                Floating:
                  $ref: "#/components/examples/ExchangeRateFloatingExample"
                Locked:
                  $ref: "#/components/examples/ExchangeRateLockedExample"
              schema:
                $ref: "#/components/schemas/ExchangeRateResponse"
      security:
        - apiKey: []
  /transactions:
    get:
      tags:
        - Transactions
      summary: Read all transactions
      description: This endpoint reads all transactions.
      parameters:
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
          description: Number of transactions to return per page.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Cursor for pagination. Use the nextCursor or previousCursor from the previous response to get the next or previous page.
        - name: customerId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Filter transactions by customer's unique identifier.
          example: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      responses:
        "200":
          description: Resources successfully retrieved.
          content:
            application/json:
              examples:
                PIX:
                  value:
                    data:
                      - id: "123e4567-e89b-12d3-a456-426614174000"
                        type: "ON_RAMP"
                        request:
                          customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                          rail: "PIX"
                          sourceCurrency: "BRL"
                          sourceAmount: "10000.00"
                          targetCurrency: "USDC"
                          purpose: "PERSONAL_ACCOUNT"
                        state:
                          status: "AWAITING_FUNDS"
                          payment:
                            rail: "PIX"
                            brCode: "00020126580014br.gov.bcb.PIX0136123e4567-e89b-12d3-a456-4266141740005204000053039865802BR5915Test Merchant6009Sao Paulo62070503***63041234"
                        metadata: {}
                        createdAt: "2024-03-20T15:30:00Z"
                        updatedAt: "2024-03-20T15:30:05Z"
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: An array containing all transactions.
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: Transaction's unique identifier.
                          example: "123e4567-e89b-12d3-a456-426614174000"
                        type:
                          type: string
                          description: Transaction's type.
                          enum: ["ON_RAMP", "OFF_RAMP", "TRANSFER"]
                        request:
                          type: object
                          description: Transaction's request.
                        state:
                          type: object
                          description: Transaction's current state.
                        createdAt:
                          type: string
                          format: date-time
                          description: Creation date and time (UTC).
                        updatedAt:
                          type: string
                          format: date-time
                          description: Last update date and time (UTC).
      security:
        - apiKey: []
  "/transactions/{id}":
    get:
      tags:
        - Transactions
      summary: Read a transaction
      description: This endpoint reads a transaction.
      parameters:
        - name: id
          in: path
          description: Transaction's unique identifier.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        "200":
          description: Transaction successfully retrieved.
          content:
            application/json:
              examples:
                "On-ramp - Awaiting funds":
                  $ref: "#/components/examples/TransactionOnRampAwaitingFundsExample"
                "On-ramp - Success":
                  $ref: "#/components/examples/TransactionOnRampSuccessExample"
                "Off-ramp - Transferring stablecoin":
                  $ref: "#/components/examples/TransactionOffRampTransferringStablecoinExample"
                "Off-ramp - Success":
                  $ref: "#/components/examples/TransactionOffRampSuccessExample"
                "Transfer - Transferring stablecoin":
                  $ref: "#/components/examples/TransactionTransferProcessingExample"
                "Transfer - Success":
                  $ref: "#/components/examples/TransactionTransferSuccessExample"
              schema:
                oneOf:
                  - type: object
                    title: On-ramp
                    properties:
                      id:
                        type: string
                        format: uuid
                        description: Transaction's unique identifier.
                        example: "123e4567-e89b-12d3-a456-426614174000"
                      customerId:
                        type: string
                        format: uuid
                        description: Customer's unique identifier.
                        example: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                      type:
                        type: string
                        description: Transaction's type.
                        enum: ["ON_RAMP"]
                      request:
                        type: object
                        description: Transaction's request.
                      state:
                        type: object
                        description: Transaction's current state.
                        properties:
                          status:
                            type: string
                            description: State status.
                            enum:
                              [
                                "AWAITING_FUNDS",
                                "TRANSFERRING_FIAT",
                                "TRADING",
                                "TRANSFERRING_STABLECOIN",
                                "SUCCESS",
                                "FAILED",
                              ]
                          payment:
                            type: object
                            description: State payment information.
                          receipt:
                            type: object
                            description: State receipt information.
                          error:
                            type: object
                            description: State error information.
                      createdAt:
                        type: string
                        format: date-time
                        description: Creation date and time (UTC).
                      updatedAt:
                        type: string
                        format: date-time
                        description: Last update date and time (UTC).
                  - type: object
                    title: Off-ramp
                    properties:
                      id:
                        type: string
                        format: uuid
                        description: Transaction's unique identifier.
                        example: "123e4567-e89b-12d3-a456-426614174000"
                      customerId:
                        type: string
                        format: uuid
                        description: Customer's unique identifier.
                        example: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                      type:
                        type: string
                        description: Transaction's type.
                        enum: ["OFF_RAMP"]
                      request:
                        type: object
                        description: Transaction's request.
                      state:
                        type: object
                        description: Transaction's current state.
                        properties:
                          status:
                            type: string
                            description: State status.
                            enum:
                              [
                                "TRANSFERRING_STABLECOIN",
                                "TRADING",
                                "TRANSFERRING_FIAT",
                                "SUCCESS",
                                "FAILED",
                              ]
                          receipt:
                            type: object
                            description: State receipt information.
                          error:
                            type: object
                            description: State error information.
                      createdAt:
                        type: string
                        format: date-time
                        description: Creation date and time (UTC).
                      updatedAt:
                        type: string
                        format: date-time
                        description: Last update date and time (UTC).
                  - type: object
                    title: Transfer
                    properties:
                      id:
                        type: string
                        format: uuid
                        description: Transaction's unique identifier.
                        example: "123e4567-e89b-12d3-a456-426614174000"
                      customerId:
                        type: string
                        format: uuid
                        description: Customer's unique identifier.
                        example: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                      type:
                        type: string
                        description: Transaction's type.
                        enum: ["TRANSFER"]
                      request:
                        type: object
                        description: Transaction's request.
                      state:
                        type: object
                        description: Transaction's current state.
                        properties:
                          status:
                            type: string
                            description: State status.
                            enum:
                              ["TRANSFERRING_STABLECOIN", "SUCCESS", "FAILED"]
                          receipt:
                            type: object
                            description: State receipt information.
                          error:
                            type: object
                            description: State error information.
                      createdAt:
                        type: string
                        format: date-time
                        description: Creation date and time (UTC).
                      updatedAt:
                        type: string
                        format: date-time
                        description: Last update date and time (UTC).
      security:
        - apiKey: []
  /transactions/on-ramp:
    post:
      tags:
        - Transactions
      summary: On-ramp
      description: This endpoint converts fiat to stablecoin.
      parameters:
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          application/json:
            examples:
              Floating - PIX:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  rail: "PIX"
                  sourceCurrency: "BRL"
                  sourceAmount: "10000.00"
                  targetCurrency: "USDC"
                  purpose: "PERSONAL_ACCOUNT"
              Floating - SWIFT:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  rail: "SWIFT"
                  sourceCurrency: "USD"
                  sourceAmount: "10000.00"
                  targetCurrency: "USDC"
                  purpose: "PERSONAL_ACCOUNT"
              Floating - SEPA:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  rail: "SEPA"
                  sourceCurrency: "EUR"
                  sourceAmount: "10000.00"
                  targetCurrency: "USDC"
                  purpose: "PERSONAL_ACCOUNT"
              Floating - ACH:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  rail: "ACH"
                  sourceCurrency: "USD"
                  sourceAmount: "10000.00"
                  targetCurrency: "USDC"
                  purpose: "PERSONAL_ACCOUNT"
              Floating - FEDWIRE:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  rail: "FEDWIRE"
                  sourceCurrency: "USD"
                  sourceAmount: "10000.00"
                  targetCurrency: "USDC"
                  purpose: "PERSONAL_ACCOUNT"
              Floating - SPEI:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  rail: "SPEI"
                  sourceCurrency: "MXN"
                  sourceAmount: "10000.00"
                  targetCurrency: "USDC"
                  purpose: "PERSONAL_ACCOUNT"
              Floating - FPS:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  rail: "FPS"
                  sourceCurrency: "GBP"
                  sourceAmount: "1000.00"
                  targetCurrency: "USDC"
                  purpose: "PERSONAL_ACCOUNT"
              Locked - PIX:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  exchangeRateId: "123e4567-e89b-12d3-a456-426614174000"
                  purpose: "PERSONAL_ACCOUNT"
              Locked - SWIFT:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  exchangeRateId: "123e4567-e89b-12d3-a456-426614174001"
                  purpose: "PERSONAL_ACCOUNT"
              Locked - SEPA:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  exchangeRateId: "123e4567-e89b-12d3-a456-426614174002"
                  purpose: "PERSONAL_ACCOUNT"
              Locked - ACH:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  exchangeRateId: "123e4567-e89b-12d3-a456-426614174003"
                  purpose: "PERSONAL_ACCOUNT"
              Locked - FEDWIRE:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  exchangeRateId: "123e4567-e89b-12d3-a456-426614174004"
                  purpose: "PERSONAL_ACCOUNT"
              Locked - SPEI:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  exchangeRateId: "123e4567-e89b-12d3-a456-426614174004"
                  purpose: "PERSONAL_ACCOUNT"
              Locked - FPS:
                value:
                  customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                  exchangeRateId: "123e4567-e89b-12d3-a456-426614174005"
                  purpose: "PERSONAL_ACCOUNT"
            schema:
              $ref: "#/components/schemas/TransactionOnRampRequest"
      responses:
        "202":
          description: On-ramp transaction started successfully.
          content:
            application/json:
              examples:
                Floating - PIX:
                  $ref: "#/components/examples/TransactionOnRampFloatingPixExample"
                Floating - SWIFT:
                  $ref: "#/components/examples/TransactionOnRampFloatingSwiftExample"
                Floating - SEPA:
                  $ref: "#/components/examples/TransactionOnRampFloatingSepaExample"
                Floating - ACH:
                  $ref: "#/components/examples/TransactionOnRampFloatingAchExample"
                Floating - FEDWIRE:
                  $ref: "#/components/examples/TransactionOnRampFloatingFedwireExample"
                Floating - SPEI:
                  $ref: "#/components/examples/TransactionOnRampFloatingSpeiExample"
                Floating - FPS:
                  $ref: "#/components/examples/TransactionOnRampFloatingFpsExample"
                Locked - PIX:
                  $ref: "#/components/examples/TransactionOnRampLockedPixExample"
                Locked - SWIFT:
                  $ref: "#/components/examples/TransactionOnRampLockedSwiftExample"
                Locked - SEPA:
                  $ref: "#/components/examples/TransactionOnRampLockedSepaExample"
                Locked - ACH:
                  $ref: "#/components/examples/TransactionOnRampLockedAchExample"
                Locked - FEDWIRE:
                  $ref: "#/components/examples/TransactionOnRampLockedFedwireExample"
                Locked - SPEI:
                  $ref: "#/components/examples/TransactionOnRampLockedSpeiExample"
                Locked - FPS:
                  $ref: "#/components/examples/TransactionOnRampLockedFpsExample"
              schema:
                $ref: "#/components/schemas/TransactionOnRampResponse"
      security:
        - apiKey: []
  /transactions/off-ramp:
    post:
      tags:
        - Transactions
      summary: Off-ramp
      description: This endpoint converts stablecoins to fiat.
      parameters:
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          application/json:
            examples:
              Floating:
                value:
                  destinationId: "e80d3137-eddd-4791-b9b8-6e36b289f284"
                  sourceCurrency: "USDC"
                  sourceAmount: "1000.00"
                  purpose: "PERSONAL_ACCOUNT"
              Locked:
                value:
                  destinationId: "e80d3137-eddd-4791-b9b8-6e36b289f284"
                  exchangeRateId: "123e4567-e89b-12d3-a456-426614174000"
                  purpose: "PERSONAL_ACCOUNT"
            schema:
              $ref: "#/components/schemas/TransactionOffRampRequest"
      responses:
        "202":
          description: Off-ramp transaction started successfully.
          content:
            application/json:
              examples:
                Floating:
                  $ref: "#/components/examples/TransactionOffRampFloatingExample"
                Locked:
                  $ref: "#/components/examples/TransactionOffRampLockedExample"
              schema:
                $ref: "#/components/schemas/TransactionOffRampResponse"
      security:
        - apiKey: []
  /transactions/transfer:
    post:
      tags:
        - Transactions
      summary: Transfer
      description: This endpoint starts a transfer of funds between customers or external wallets.
      parameters:
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/TransactionTransferRequest"
      responses:
        "202":
          description: Transfer transaction started successfully.
          content:
            application/json:
              example:
                id: "123e4567-e89b-12d3-a456-426614174004"
                customerId: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
                type: "TRANSFER"
                request:
                  currency: "USDC"
                  from: "123e4567-e89b-12d3-a456-426614174001"
                  to: "123e4567-e89b-12d3-a456-426614174002"
                  amount: "1000.000000"
                state:
                  status: "PENDING"
                metadata: {}
              schema:
                allOf:
                  - $ref: "#/components/schemas/TransactionTransferResponse"
                  - $ref: "#/components/schemas/TransactionTimestamps"
      security:
        - apiKey: []
  /partner-fees:
    get:
      tags:
        - Partner Fees
      summary: Read all partner fees
      description: This endpoint reads all partner fees.
      responses:
        "200":
          description: Partner fees successfully retrieved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: An array containing all partner fees.
                    items:
                      $ref: "#/components/schemas/PartnerFeeResponse"
      security:
        - apiKey: []
    post:
      tags:
        - Partner Fees
      summary: Create a partner fee
      description: This endpoint creates a partner fee.
      parameters:
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/PartnerFeeRequest"
      responses:
        "201":
          description: Partner fee successfully created.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PartnerFeeResponse"
      security:
        - apiKey: []
  /partner-fees/{id}:
    get:
      tags:
        - Partner Fees
      summary: Read a partner fee
      description: This endpoint reads a partner fee.
      parameters:
        - name: id
          in: path
          description: Partner fee's unique identifier.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        "200":
          description: Partner fee successfully retrieved.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PartnerFeeResponse"
      security:
        - apiKey: []
  /autoconversion-rules:
    get:
      tags:
        - Autoconversion Rules
      summary: Read all autoconversion rules
      description: This endpoint reads all autoconversion rules, newest first.
      parameters:
        - name: customerId
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Filter rules by customer.
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 25
          description: Number of rules to return per page.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: Cursor for pagination. Use the nextCursor from the previous response to get the next page.
      responses:
        "200":
          description: Resources successfully retrieved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    description: An array containing all autoconversion rules.
                    type: array
                    items:
                      $ref: "#/components/schemas/AutoconversionRuleListItem"
                  pagination:
                    type: object
                    description: Pagination metadata for the response.
                    properties:
                      size:
                        type: integer
                        description: Number of items per page.
                        example: 25
                      total:
                        type: integer
                        description: Total number of items available.
                        example: 1
                      hasNextPage:
                        type: boolean
                        description: Whether more items are available after this page.
                        example: false
                      nextCursor:
                        type: string
                        format: uuid
                        nullable: true
                        description: Cursor to fetch the next page. `null` when `hasNextPage` is false.
                        example: null
      security:
        - apiKey: []
    post:
      tags:
        - Autoconversion Rules
      summary: Create an autoconversion rule
      description: This endpoint creates an autoconversion rule. Every fiat deposit matched by the rule is automatically converted to the target asset and delivered on-chain.
      parameters:
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/AutoconversionRuleRequest"
      responses:
        "201":
          description: Resource successfully created.
          content:
            application/json:
              examples:
                BRL:
                  value:
                    id: "c7f64332-5d53-4685-8aa9-48a5348c18c2"
                    accountId: "44dd9734-176a-4ced-924f-103f8d50ea5e"
                    partnerFeeId: "123e4567-e89b-12d3-a456-426614174004"
                    status: "ACTIVE"
                    provider: "STARKBANK"
                    sourceCurrency: "BRL"
                    targetCurrency: "USDC"
                    blockchain: "POLYGON"
                    purpose: "INVESTMENT"
                    sourceDepositInfo:
                      - rail: "PIX"
                        brCode: "00020126...5204"
                        depositIdentifier: "IIDCDYjYUTbKouEUOyvxZ3xnU"
                    createdAt: "2026-07-08T23:18:58.574Z"
                MXN:
                  value:
                    id: "9b2f11a6-7c3e-4f28-b1d4-2e6a90c5d7f1"
                    accountId: "16cb802f-8521-41ad-ab6e-dc40f43c0ad3"
                    partnerFeeId: "123e4567-e89b-12d3-a456-426614174004"
                    status: "ACTIVE"
                    provider: "ONE_MONEY"
                    sourceCurrency: "MXN"
                    targetCurrency: "USDT"
                    blockchain: "TRON"
                    purpose: "INVESTMENT"
                    sourceDepositInfo:
                      - rail: "SPEI"
                        clabe: "646180157000000004"
                        reference: "IIDCDYjYUTbKouEUOyvxZ3xnU"
                    createdAt: "2026-07-08T23:18:58.574Z"
                USD:
                  value:
                    id: "5d1a3c9e-8b42-47f0-9c6d-3f2e8a1b7c44"
                    accountId: "a3f8d21c-6e94-4b7a-8c15-9d0e2f4b6a83"
                    partnerFeeId: null
                    status: "ACTIVE"
                    provider: "ONE_MONEY"
                    sourceCurrency: "USD"
                    targetCurrency: "USDC"
                    blockchain: "POLYGON"
                    purpose: "INVESTMENT"
                    sourceDepositInfo:
                      - rail: "ACH"
                        accountNumber: "8312946570"
                        routingNumber: "026009593"
                        bankName: "Column N.A."
                      - rail: "FEDWIRE"
                        accountNumber: "8312946570"
                        routingNumber: "026009593"
                        bankName: "Column N.A."
                      - rail: "SWIFT"
                        accountNumber: "8312946570"
                        bic: "CLNOUS66"
                        bankName: "Column N.A."
                    createdAt: "2026-07-08T23:18:58.574Z"
                EUR:
                  value:
                    id: "1b5d4f60-7a2c-4e88-9d31-0c4f5a6b7c8d"
                    accountId: "9f1c2b7e-3d4a-4c5e-8f10-2a6b7c8d9e01"
                    partnerFeeId: null
                    status: "ACTIVE"
                    provider: "OPENPAYD"
                    sourceCurrency: "EUR"
                    targetCurrency: "USDC"
                    blockchain: "POLYGON"
                    purpose: "INVESTMENT"
                    sourceDepositInfo:
                      - rail: "SEPA"
                        iban: "GB29NWBK60161331926819"
                        bic: "OPCVGB2LXXX"
                    createdAt: "2026-09-29T14:03:11.482Z"
                GBP:
                  value:
                    id: "2c6e5a71-8b3d-4f99-ae42-1d5f6b7c8d9e"
                    accountId: "4e8a1d20-9c7b-4f33-b512-7d0e9f1a2b3c"
                    partnerFeeId: null
                    status: "ACTIVE"
                    provider: "OPENPAYD"
                    sourceCurrency: "GBP"
                    targetCurrency: "USDC"
                    blockchain: "POLYGON"
                    purpose: "INVESTMENT"
                    sourceDepositInfo:
                      - rail: "FPS"
                        sortCode: "040075"
                        accountNumber: "82624944"
                    createdAt: "2026-09-29T14:07:52.104Z"
              schema:
                $ref: "#/components/schemas/AutoconversionRuleDetailResponse"
      security:
        - apiKey: []
  /autoconversion-rules/{id}:
    get:
      tags:
        - Autoconversion Rules
      summary: Read an autoconversion rule
      description: This endpoint reads an autoconversion rule, including its deposit details.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Autoconversion rule's unique identifier.
      responses:
        "200":
          description: Resource successfully retrieved.
          content:
            application/json:
              examples:
                BRL:
                  value:
                    id: "c7f64332-5d53-4685-8aa9-48a5348c18c2"
                    accountId: "44dd9734-176a-4ced-924f-103f8d50ea5e"
                    partnerFeeId: "123e4567-e89b-12d3-a456-426614174004"
                    status: "ACTIVE"
                    provider: "STARKBANK"
                    sourceCurrency: "BRL"
                    targetCurrency: "USDC"
                    blockchain: "POLYGON"
                    purpose: "INVESTMENT"
                    sourceDepositInfo:
                      - rail: "PIX"
                        brCode: "00020126...5204"
                        depositIdentifier: "IIDCDYjYUTbKouEUOyvxZ3xnU"
                    createdAt: "2026-07-08T23:18:58.574Z"
                MXN:
                  value:
                    id: "9b2f11a6-7c3e-4f28-b1d4-2e6a90c5d7f1"
                    accountId: "16cb802f-8521-41ad-ab6e-dc40f43c0ad3"
                    partnerFeeId: "123e4567-e89b-12d3-a456-426614174004"
                    status: "ACTIVE"
                    provider: "ONE_MONEY"
                    sourceCurrency: "MXN"
                    targetCurrency: "USDT"
                    blockchain: "TRON"
                    purpose: "INVESTMENT"
                    sourceDepositInfo:
                      - rail: "SPEI"
                        clabe: "646180157000000004"
                        reference: "IIDCDYjYUTbKouEUOyvxZ3xnU"
                    createdAt: "2026-07-08T23:18:58.574Z"
                USD:
                  value:
                    id: "5d1a3c9e-8b42-47f0-9c6d-3f2e8a1b7c44"
                    accountId: "a3f8d21c-6e94-4b7a-8c15-9d0e2f4b6a83"
                    partnerFeeId: null
                    status: "ACTIVE"
                    provider: "ONE_MONEY"
                    sourceCurrency: "USD"
                    targetCurrency: "USDC"
                    blockchain: "POLYGON"
                    purpose: "INVESTMENT"
                    sourceDepositInfo:
                      - rail: "ACH"
                        accountNumber: "8312946570"
                        routingNumber: "026009593"
                        bankName: "Column N.A."
                      - rail: "FEDWIRE"
                        accountNumber: "8312946570"
                        routingNumber: "026009593"
                        bankName: "Column N.A."
                      - rail: "SWIFT"
                        accountNumber: "8312946570"
                        bic: "CLNOUS66"
                        bankName: "Column N.A."
                    createdAt: "2026-07-08T23:18:58.574Z"
                EUR:
                  value:
                    id: "1b5d4f60-7a2c-4e88-9d31-0c4f5a6b7c8d"
                    accountId: "9f1c2b7e-3d4a-4c5e-8f10-2a6b7c8d9e01"
                    partnerFeeId: null
                    status: "ACTIVE"
                    provider: "OPENPAYD"
                    sourceCurrency: "EUR"
                    targetCurrency: "USDC"
                    blockchain: "POLYGON"
                    purpose: "INVESTMENT"
                    sourceDepositInfo:
                      - rail: "SEPA"
                        iban: "GB29NWBK60161331926819"
                        bic: "OPCVGB2LXXX"
                    createdAt: "2026-09-29T14:03:11.482Z"
                GBP:
                  value:
                    id: "2c6e5a71-8b3d-4f99-ae42-1d5f6b7c8d9e"
                    accountId: "4e8a1d20-9c7b-4f33-b512-7d0e9f1a2b3c"
                    partnerFeeId: null
                    status: "ACTIVE"
                    provider: "OPENPAYD"
                    sourceCurrency: "GBP"
                    targetCurrency: "USDC"
                    blockchain: "POLYGON"
                    purpose: "INVESTMENT"
                    sourceDepositInfo:
                      - rail: "FPS"
                        sortCode: "040075"
                        accountNumber: "82624944"
                    createdAt: "2026-09-29T14:07:52.104Z"
              schema:
                $ref: "#/components/schemas/AutoconversionRuleDetailResponse"
      security:
        - apiKey: []
  /autoconversion-rules/simulate-deposit:
    post:
      tags:
        - Autoconversion Rules
      summary: Simulate a deposit
      description: This endpoint simulates a deposit to test autoconversion rules end-to-end. Sandbox only — returns 404 in production.
      parameters:
        - $ref: "#/components/parameters/IdempotencyKey"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/AutoconversionRuleSimulateDepositRequest"
      responses:
        "201":
          description: Deposit successfully simulated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  matchedRule:
                    type: boolean
                    description: Whether the simulated deposit matched an active rule.
                    example: true
      security:
        - apiKey: []
components:
  parameters:
    IdempotencyKey:
      name: Idempotency-Key
      in: header
      required: false
      schema:
        type: string
        format: uuid
      description: "Optional UUID v4 idempotency key. If you resend the same key with a different request body, the API returns a 409 error. Cached responses include the header `X-Idempotency-Cached: true`. Keys expire after 24 hours."
  examples:
    CustomerRequestBusinessExample:
      value:
        type: "BUSINESS"
        legalName: "Lumx S.A"
        taxId: "42.887.120/0001-00"
        incorporationDate: "2020-01-01"
        country: "BRA"
        email: "hello@lumx.io"
        accounts: ["BRL", "USD", "EUR", "MXN", "GBP"]
    CustomerRequestIndividualExample:
      value:
        type: "INDIVIDUAL"
        name: "William Default"
        taxId: "123.456.789-00"
        birthDate: "1990-01-01"
        country: "BRA"
        email: "william.default@example.com"
        accounts: ["BRL"]
    CustomerIndividualArrayExample:
      value:
        data:
          - id: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            type: "INDIVIDUAL"
            name: "William Default"
            taxId: "123.456.789-00"
            birthDate: "1990-01-01"
            country: "BRA"
            email: "william.default@example.com"
            verification:
              status: "NOT_STARTED"
              level: "STANDARD"
            metadata: {}
            createdAt: "2021-01-01T00:00:00Z"
            updatedAt: "2021-01-01T00:00:00Z"
    CustomerBusinessArrayExample:
      value:
        data:
          - id: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            type: "BUSINESS"
            legalName: "Lumx S.A"
            taxId: "42.887.120/0001-00"
            incorporationDate: "2020-01-01"
            country: "BRA"
            email: "hello@lumx.io"
            verification:
              status: "NOT_STARTED"
              level: "STANDARD"
            metadata: {}
            createdAt: "2021-01-01T00:00:00Z"
            updatedAt: "2021-01-01T00:00:00Z"
        pagination:
          size: 25
          total: 1
          hasNextPage: false
          hasPreviousPage: false
          nextCursor: null
          previousCursor: null
    CustomerIndividualExample:
      value:
        id: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        type: "INDIVIDUAL"
        name: "William Default"
        taxId: "123.456.789-00"
        birthDate: "1990-01-01"
        country: "BRA"
        email: "william.default@example.com"
        verification:
          status: "NOT_STARTED"
          level: "STANDARD"
          link: "https://in.sumsub.com/websdk/p/sbx_aA00bB11cC33dD44"
        additionalInformation:
          type: "INDIVIDUAL"
          professionalSituation: "EMPLOYEE"
          professionalOccupation: "Software Engineer"
          monthlyIncomeInUSD: "8000"
          monthlyVolumeInUSD: "5000"
          transactionVolumeInUSD: "1000"
          sourceOfFunds: "SALARY_EMPLOYMENT_INCOME"
          transactionCounterparties: ["SELF", "FAMILY"]
        transactionLimits:
          onramp:
            single:
              max: "1000.00"
            daily:
              max: "5000.00"
              used: "1200.00"
              remaining: "3800.00"
            monthly:
              max: "20000.00"
              used: "1200.00"
              remaining: "18800.00"
          offramp:
            single:
              max: "1000.00"
            daily:
              max: "5000.00"
              used: "0.00"
              remaining: "5000.00"
            monthly:
              max: "20000.00"
              used: "0.00"
              remaining: "20000.00"
          transfer:
            single:
              max: "1000.00"
            daily:
              max: "5000.00"
              used: "0.00"
              remaining: "5000.00"
            monthly:
              max: "20000.00"
              used: "0.00"
              remaining: "20000.00"
        metadata: {}
        createdAt: "2021-01-01T00:00:00Z"
        updatedAt: "2021-01-01T00:00:00Z"
    CustomerBusinessExample:
      value:
        id: "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        type: "BUSINESS"
        legalName: "Lumx S.A"
        taxId: "42.887.120/0001-00"
        incorporationDate: "2020-01-01"
        country: "BRA"
        email: "hello@lumx.io"
        verification:
          status: "NOT_STARTED"
          level: "STANDARD"
          link: "https://in.sumsub.com/websdk/p/sbx_aA00bB11cC33dD44"
        additionalInformation:
          type: "BUSINESS"
          businessActivity: "PAYMENT_INSTITUTION"
          servicesProvided: "We provide blockchain-based payment infrastructure for B2B cross-border transactions."
          monthlyRevenueInUSD: "250000"
          monthlyTransactionVolumeInUSD: "1M_TO_5M"
          sourceOfFunds: "OPERATING_SERVICE_REVENUE"
          transactionCounterparties: ["CUSTOMERS", "SUPPLIERS_VENDORS"]
          isRegulatedActivity: true
          regulatedActivityDetails: "Licensed payment institution"
        accounts:
          - id: "d06d342c-629a-4d99-a26f-34e8ea528403"
[...]
